MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023966Community[OCCT] OCCT:Visualizationpublic2013-05-15 19:322013-12-19 13:55
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023966: Voxel_FastConverter performs unnecessary triangulation.
DescriptionIn line 126:

if (T.IsNull() || fabs(T->Deflection() - myDeflection) > Precision::Confusion())

the triangulation will be recomputed even if its finer then the existing one. In my opinion this should be changed to:

if (T.IsNull() || T->Deflection() > myDeflection > Precision::Confusion())

This is similar to usage in other cases in OCCT (see BRepTools::Triangulation).

In case there is a solution to the issue 23200, it should also be used at this place.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023200closedbugmaster Visualization - prevent multiple triangulating of a shape that already has been triangulated 
related to 0024013closedPawel Voxel_FastConverter is able to use existing triangulation 

-  Notes
(0024407)
Pawel (developer)
2013-05-15 19:54

Branch CR23966 pushed. Please review.
(0024458)
bugmaster (administrator)
2013-05-22 12:00

Vlad,
please make reviewing
(0024462)
vro (developer)
2013-05-22 14:16

Well done!
(0024463)
vro (developer)
2013-05-22 14:16

Reviewed!
(0024544)
mkv (tester)
2013-05-29 15:46

Dear BugMaster,

Branch CR23966 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 06b5a4ce849e0425ea586eaab713be5cd2e06da3

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 64 (64 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 365910752 / 365861168
Total CPU difference: 45078.63000000133 / 45787.35000000135

Testing on Windows:
Total MEMORY difference: 418378676 / 420890384
Total CPU difference: 29629.6875 / 30778.828125

There are not differences in images found by testdiff.

- Related Changesets
occt: master eb57b012
Timestamp: 2013-05-15 15:53:23
Author: Pawel
Details ] Diff ]
0023966: Voxel_FastConverter performs unnecessary triangulation.

Avoiding creating new triangulation in case a triangulation with a deflection value not greater than the one specified exists.
mod - src/Voxel/Voxel_FastConverter.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-15 19:32 Pawel New Issue
2013-05-15 19:32 Pawel Assigned To => Pawel
2013-05-15 19:35 Pawel Relationship added related to 0023200
2013-05-15 19:54 Pawel Note Added: 0024407
2013-05-15 19:54 Pawel Assigned To Pawel => bugmaster
2013-05-15 19:54 Pawel Status new => resolved
2013-05-22 12:00 bugmaster Note Added: 0024458
2013-05-22 12:00 bugmaster Assigned To bugmaster => vro
2013-05-22 12:00 bugmaster Status resolved => assigned
2013-05-22 14:16 vro Note Added: 0024462
2013-05-22 14:16 vro Status assigned => resolved
2013-05-22 14:16 vro Note Added: 0024463
2013-05-22 14:16 vro Status resolved => reviewed
2013-05-22 14:56 mkv Assigned To vro => mkv
2013-05-29 15:46 mkv Note Added: 0024544
2013-05-29 15:47 mkv Test case number => Not needed
2013-05-29 15:47 mkv Assigned To mkv => bugmaster
2013-05-29 15:47 mkv Status reviewed => tested
2013-06-03 14:48 Pawel Changeset attached => occt master eb57b012
2013-06-03 14:48 Pawel Assigned To bugmaster => Pawel
2013-06-03 14:48 Pawel Status tested => verified
2013-06-03 14:48 Pawel Resolution open => fixed
2013-06-05 14:59 Pawel Relationship added related to 0024013
2013-12-19 13:53 bugmaster Status verified => closed
2013-12-19 13:55 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker